Bug 509394 - warning message displayed twice when you click on 'sync packages to ' button without a selection for profile sync on compare profile page.
warning message displayed twice when you click on 'sync packages to ' button ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Preethi Thomas
https://rlx-3-24.rhndev.redhat.com/rh...
:
Depends On:
Blocks: 471789
  Show dependency treegraph
 
Reported: 2009-07-02 11:19 EDT by Preethi Thomas
Modified: 2009-09-10 14:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:45:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
profile-warning (165.98 KB, image/png)
2009-07-02 11:19 EDT, Preethi Thomas
no flags Details

  None (edit)
Description Preethi Thomas 2009-07-02 11:19:00 EDT
Created attachment 350296 [details]
profile-warning

Description of problem:

warning message displayed twice when you click on 'sync packages to ' button without a any packages selected for profile sync on compare profile page.

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090625.0-i386-embedded-oracle.iso

How reproducible:


Steps to Reproduce:
1.sdc->software->packages->profile
2.create a package profile
3.Install/remove some packages on the system
4. compare the system with the profile
5. on the compare profile page
6. without selecting any packages
7. click on the "Sync to profile" button
  
Actual results:
The message "There was no selection. Please make your selection and try again." displayed twice.


Expected results:
The message should only be displayed once.

Additional info:
Comment 1 Brad Buckingham 2009-07-07 12:09:18 EDT
master git commit: f9b2f6381698ee1f7efb1feae62064669ad6fc25
vader git commit: cc0fbc2113040ffecd5f0570202f13291cd71693

In addition to modifying for the scenario described, also fixed for the System-System comparison.

E.g.
1.sdc->software->packages->profile
2.create a package profile
3.Install/remove some packages on the system
4. compare the system with another system
5. on the compare system page
6. without selecting any packages
7. click on the "Sync to system" button
Comment 2 Preethi Thomas 2009-07-10 07:43:17 EDT
verified
Satellite-5.3.0-RHEL5-re20090707.0-i386-embedded-oracle.iso
tested both scenarios from above. warning message displayed only once.
Comment 3 John Sefler 2009-08-07 14:31:50 EDT
Re-verified in staged (Satellite-5.3.0-RHEL5-re20090724.0) with pushed package updates from Aug 6

Only one message (There was no selection. Please make your selection and try again.) appears on both "Sync Packages To 'profile'" and "Sync Packages To 'system'" scenarios described above:

moving to RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 14:45:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.